* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  /* font-family: 'Lexend', sans-serif; */
  font-family: 'Nunito', sans-serif;

}

body, html {
  height: 100%;
  background-color: #f9fafb;
}

.container {
  display: flex;
  min-height: 100vh;
}

.image-side-register {
  position: fixed;
  top: 0;
  left: 0;
  width: 50vw;
  height: 100vh;
  background: url("../images/muslim2.jpg") no-repeat center center;
  background-size: cover;
  z-index: 0;
}

.logo {
  width: 250px;
  margin: 0 auto 2rem;
  display: block;
}

.form-side {
  margin-left: 50vw;
  width: 50vw;
  padding: 3rem 2rem;
  background-color: white;
  overflow-y: auto;
  z-index: 1;
  position: relative;
}

.register-form {
  max-width: 420px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

h3 {
  font-weight: 700;
  margin-bottom: 1rem;
  font-size: 1.2rem;
  color: #111827;
}

label {
  font-size: 0.9rem;
  margin-bottom: 0.25rem;
  color: #374151;
  margin-top: 1rem;
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="tel"],
select {
  width: 100%;
  padding: 0.75rem;
  border: 1px solid #d1d5db;
  border-radius: 6px;
  margin-bottom: 0.75rem;
  font-size: 0.95rem;
  background-color: #fff;
}

input,
select {
  padding: 0.75rem;
  border: 1px solid #d1d5db;
  border-radius: 6px;
  font-size: 0.95rem;
  background: #fff;
}

input:focus,
select:focus {
  outline: 2px solid #466DC9;
}

.pin-wrapper {
  position: relative;
}

.pin-wrapper input {
  width: 100%;
}

.pin-wrapper span {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 1.2rem;
}

.agreement {
  font-size: 0.85rem;
  margin-top: 1.2rem;
  color: #4b5563;
}

.agreement a {
  color: #466DC9;
  text-decoration: underline;
}

.login-btn {
  margin-top: 1.5rem;
  padding: 0.75rem;
  background-color: #466DC9;
  border: none;
  color: white;
  border-radius: 9999px;
  font-weight: 600;
  font-size: 1rem;
  cursor: pointer;
}

.login-btn:hover {
  background-color: #3759b3;
}

.error-message {
  color: red;
  margin-bottom: 1rem;
  font-size: 0.9rem;
}

/* Responsive */
@media (max-width: 768px) {
  .image-side-register {
    display: none;
  }

  .form-side {
    margin: 0;
    width: 100%;
    padding: 2rem 1.5rem;
  }
}

.dropdown-list {
  border: 1px solid #d1d5db;
  border-radius: 6px;
  max-height: 200px;
  overflow-y: auto;
  background-color: #fff;
  margin-top: 0.3rem;
}

.dropdown-list div {
  padding: 0.5rem 1rem;
  cursor: pointer;
}

.dropdown-list div:hover {
  background-color: #f3f4f6;
}